Package org.codehaus.janino.util

# Class ClassFile.ConstantValuePoolInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantPoolInfo
org.codehaus.janino.util.ClassFile.ConstantValuePoolInfo

Direct Known Subclasses:
  `ClassFile.ConstantUtf8Info`

Enclosing class:
  `ClassFile`

public abstract static class ClassFile.ConstantValuePoolInfo extends ClassFile.ConstantPoolInfo
Intermediate base class for constant pool table entry types that have 'value' semantics: Double, Float, Integer, Long, String

## Constructor Summary

Constructors
Constructor
Description
`ConstantValuePoolInfo()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`getValue(ClassFile classFile)`

### Methods inherited from class org.codehaus.janino.util.ClassFile.ConstantPoolInfo

`isWide, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstantValuePoolInfo

public ConstantValuePoolInfo()

## Method Details

### getValue

public abstract Object getValue(ClassFile classFile)

Returns:
  The value that this constant pool table entry represents; the actual type is `Double`, `Float`, `Integer`, `Long` or `String`